Skip to main content
POST
/
api
/
customers
/
create-customer
curl -X POST 'https://crypto-api.yativo.com/api/customers/create-customer' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "phone": "+14155559999",
    "metadata": { "plan": "enterprise" }
  }'
{
  "status": true,
  "message": "Customer created successfully",
  "data": {
    "_id": "cust_67e54665e759c943cd376abc",
    "username": "new_customer",
    "email": "customer@example.com",
    "phone_number": "",
    "user_id": "usr_6615c3a1e55d9ff7bc0a1234",
    "createdAt": "2026-03-28T10:00:00.000Z",
    "updatedAt": "2026-03-28T10:00:00.000Z"
  }
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
customerId
string
required
The unique customer ID to update.
first_name
string
Updated first name.
last_name
string
Updated last name.
phone
string
Updated phone number in E.164 format.
metadata
object
Updated metadata key-value pairs. Merges with existing metadata.
curl -X POST 'https://crypto-api.yativo.com/api/customers/create-customer' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "phone": "+14155559999",
    "metadata": { "plan": "enterprise" }
  }'
{
  "status": true,
  "message": "Customer created successfully",
  "data": {
    "_id": "cust_67e54665e759c943cd376abc",
    "username": "new_customer",
    "email": "customer@example.com",
    "phone_number": "",
    "user_id": "usr_6615c3a1e55d9ff7bc0a1234",
    "createdAt": "2026-03-28T10:00:00.000Z",
    "updatedAt": "2026-03-28T10:00:00.000Z"
  }
}